# -*- encoding: utf-8 -*-
# stub: dry-schema 1.6.2 ruby lib

Gem::Specification.new do |s|
  s.name = "dry-schema".freeze
  s.version = "1.6.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "https://rubygems.org", "bug_tracker_uri" => "https://github.com/dry-rb/dry-schema/issues", "changelog_uri" => "https://github.com/dry-rb/dry-schema/blob/master/CHANGELOG.md", "source_code_uri" => "https://github.com/dry-rb/dry-schema" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Piotr Solnica".freeze]
  s.date = "2021-04-15"
  s.description = "dry-schema provides a DSL for defining schemas with keys and rules that should be applied to\nvalues. It supports coercion, input sanitization, custom types and localized error messages\n(with or without I18n gem). It's also used as the schema engine in dry-validation.\n".freeze
  s.email = ["piotr.solnica@gmail.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "config/errors.yml".freeze, "dry-schema.gemspec".freeze, "lib/dry-schema.rb".freeze, "lib/dry/schema.rb".freeze, "lib/dry/schema/compiler.rb".freeze, "lib/dry/schema/config.rb".freeze, "lib/dry/schema/constants.rb".freeze, "lib/dry/schema/dsl.rb".freeze, "lib/dry/schema/extensions.rb".freeze, "lib/dry/schema/extensions/hints.rb".freeze, "lib/dry/schema/extensions/hints/compiler_methods.rb".freeze, "lib/dry/schema/extensions/hints/message_compiler_methods.rb".freeze, "lib/dry/schema/extensions/hints/message_set_methods.rb".freeze, "lib/dry/schema/extensions/hints/result_methods.rb".freeze, "lib/dry/schema/extensions/info.rb".freeze, "lib/dry/schema/extensions/info/schema_compiler.rb".freeze, "lib/dry/schema/extensions/monads.rb".freeze, "lib/dry/schema/extensions/struct.rb".freeze, "lib/dry/schema/json.rb".freeze, "lib/dry/schema/key.rb".freeze, "lib/dry/schema/key_coercer.rb".freeze, "lib/dry/schema/key_map.rb".freeze, "lib/dry/schema/key_validator.rb".freeze, "lib/dry/schema/macros.rb".freeze, "lib/dry/schema/macros/array.rb".freeze, "lib/dry/schema/macros/core.rb".freeze, "lib/dry/schema/macros/dsl.rb".freeze, "lib/dry/schema/macros/each.rb".freeze, "lib/dry/schema/macros/filled.rb".freeze, "lib/dry/schema/macros/hash.rb".freeze, "lib/dry/schema/macros/key.rb".freeze, "lib/dry/schema/macros/maybe.rb".freeze, "lib/dry/schema/macros/optional.rb".freeze, "lib/dry/schema/macros/required.rb".freeze, "lib/dry/schema/macros/schema.rb".freeze, "lib/dry/schema/macros/value.rb".freeze, "lib/dry/schema/message.rb".freeze, "lib/dry/schema/message/or.rb".freeze, "lib/dry/schema/message/or/abstract.rb".freeze, "lib/dry/schema/message/or/multi_path.rb".freeze, "lib/dry/schema/message/or/single_path.rb".freeze, "lib/dry/schema/message_compiler.rb".freeze, "lib/dry/schema/message_compiler/visitor_opts.rb".freeze, "lib/dry/schema/message_set.rb".freeze, "lib/dry/schema/messages.rb".freeze, "lib/dry/schema/messages/abstract.rb".freeze, "lib/dry/schema/messages/i18n.rb".freeze, "lib/dry/schema/messages/namespaced.rb".freeze, "lib/dry/schema/messages/template.rb".freeze, "lib/dry/schema/messages/yaml.rb".freeze, "lib/dry/schema/namespaced_rule.rb".freeze, "lib/dry/schema/params.rb".freeze, "lib/dry/schema/path.rb".freeze, "lib/dry/schema/predicate.rb".freeze, "lib/dry/schema/predicate_inferrer.rb".freeze, "lib/dry/schema/predicate_registry.rb".freeze, "lib/dry/schema/primitive_inferrer.rb".freeze, "lib/dry/schema/processor.rb".freeze, "lib/dry/schema/processor_steps.rb".freeze, "lib/dry/schema/result.rb".freeze, "lib/dry/schema/rule_applier.rb".freeze, "lib/dry/schema/step.rb".freeze, "lib/dry/schema/trace.rb".freeze, "lib/dry/schema/type_container.rb".freeze, "lib/dry/schema/type_registry.rb".freeze, "lib/dry/schema/types.rb".freeze, "lib/dry/schema/value_coercer.rb".freeze, "lib/dry/schema/version.rb".freeze]
  s.homepage = "https://dry-rb.org/gems/dry-schema".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.0".freeze)
  s.rubygems_version = "3.1.6".freeze
  s.summary = "Coercion and validation for data structures".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<dry-configurable>.freeze, ["~> 0.8", ">= 0.8.3"])
    s.add_runtime_dependency(%q<dry-core>.freeze, ["~> 0.5", ">= 0.5"])
    s.add_runtime_dependency(%q<dry-initializer>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<dry-logic>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<dry-types>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  else
    s.add_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_dependency(%q<dry-configurable>.freeze, ["~> 0.8", ">= 0.8.3"])
    s.add_dependency(%q<dry-core>.freeze, ["~> 0.5", ">= 0.5"])
    s.add_dependency(%q<dry-initializer>.freeze, ["~> 3.0"])
    s.add_dependency(%q<dry-logic>.freeze, ["~> 1.0"])
    s.add_dependency(%q<dry-types>.freeze, ["~> 1.5"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
  end
end

